Get
API server
https://app.coolify.io/api/v1Get service by UUID.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
uuid*string
Service UUID
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/services/string"{ "id": 0, "uuid": "string", "name": "string", "environment_id": 0, "server_id": 0, "description": "string", "docker_compose_raw": "string", "docker_compose": "string", "destination_type": "string", "destination_id": 0, "connect_to_docker_network": true, "is_container_label_escape_enabled": true, "is_container_label_readonly_enabled": true, "config_hash": "string", "service_type": "string", "created_at": "string", "updated_at": "string", "deleted_at": "string"}{ "message": "Invalid token."}{ "message": "Unauthenticated."}{ "message": "Resource not found."}Delete Tag DELETE
Remove a tag from a service by UUID.
Get service logs. GET
Get logs for a specific service sub-resource by service UUID. The `sub_service_name` query parameter must match the `name` field of one of the service applications or databases returned by `GET /services/{uuid}`. Requires the `read:sensitive` or `root` token ability.
